package com.fjhx.jushuitan.controller.jst;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderDetailVo;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderDetailSelectDto;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderDetailDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.jushuitan.service.jst.JstOrderDetailService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 聚水潭订单明细表 前端控制器
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
@RestController
@RequestMapping("/jstOrderDetail")
public class JstOrderDetailController {

    @Autowired
    private JstOrderDetailService jstOrderDetailService;

    /**
     * 聚水潭订单明细表列表
     */
    @PostMapping("/list")
    public List<JstOrderDetailVo> list(@RequestBody JstOrderDetailSelectDto dto) {
        return jstOrderDetailService.getList(dto);
    }

    /**
     * 聚水潭订单明细表分页
     */
    @PostMapping("/page")
    public Page<JstOrderDetailVo> page(@RequestBody JstOrderDetailSelectDto dto) {
        return jstOrderDetailService.getPage(dto);
    }

    /**
     * 聚水潭订单明细表明细
     */
    @PostMapping("/detail")
    public JstOrderDetailVo detail(@RequestBody BaseSelectDto dto) {
        return jstOrderDetailService.detail(dto.getId());
    }

    /**
     * 聚水潭订单明细表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody JstOrderDetailDto jstOrderDetailDto) {
        jstOrderDetailService.add(jstOrderDetailDto);
    }

    /**
     * 聚水潭订单明细表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody JstOrderDetailDto jstOrderDetailDto) {
        jstOrderDetailService.edit(jstOrderDetailDto);
    }

    /**
     * 聚水潭订单明细表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        jstOrderDetailService.delete(dto.getId());
    }

}
